# scaleway_organization_facts – Gather facts about the Scaleway organizations available

New in version 2.7.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use scaleway_organization_info instead.

## Synopsis

- Gather facts about the Scaleway organizations available.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://account.scaleway.com" | Scaleway API URL aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/
- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.
- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Gather Scaleway organizations facts
      scaleway_organization_facts:

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

scaleway_organization_facts
complex

success

Response from Scaleway API
Sample:
{'scaleway_organization_facts': [{'address_city_name': 'Paris', 'address_country_code': 'FR', 'address_line1': "42 Rue de l'univers", 'address_line2': None, 'address_postal_code': '75042', 'address_subdivision_code': 'FR-75', 'creation_date': '2018-08-06T13:43:28.508575+00:00', 'currency': 'EUR', 'customer_class': 'individual', 'id': '3f709602-5e6c-4619-b80c-e8432ferewtr', 'locale': 'fr_FR', 'modification_date': '2018-08-06T14:56:41.401685+00:00', 'name': 'James Bond', 'support_id': '694324', 'support_level': 'basic', 'support_pin': '9324', 'users': [], 'vat_number': None, 'warnings': []}]}

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Yanis Guenane (@Spredzy)
- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.